/**
 * Returns signed distance from `p` to centered 2D rect of `size` and corner
 * radii defined by given vec4 `r`.
 *
 * @remarks
 * Ported from original GLSL impl by Inigo Quilez:
 * - https://iquilezles.org/articles/distfunctions2d/
 *
 * @param p - vec2
 * @param size - vec2
 * @param r - vec4
 */
export declare const sdfBoxRounded: import("@thi.ng/shader-ast").TaggedFn3<"vec2", "vec2", "vec4", "float">;
//# sourceMappingURL=box-rounded.d.ts.map